<Popup>

	<ViewController>
		<View	Name		=	"FlashFullscreen"
				ModelName	=	"OTModel"
				Type		=	"PopupView"
				WindowTitle	=	"My AOL Today"
				ModeToken	=	"f0"
				Icon		=	".\images\fullscreen.ico"
				TopMost		=	"yes"
				FullScreen	=	"yes" >

			<Layout lf="fullscreen.lyt" default="yes" gf="http" xv="1" r="t"/>

			<StartAction>
				<InitAction/>
			</StartAction>

			<XMLEventSubscription Name="SSFetchXML"/>
			<XMLEventSubscription Name="mediacache"/>


			<EndAction>
				<EndScreensaver />
			</EndAction>

			<XMLGlyphs>
				<Glyph Name="Main"/>
			</XMLGlyphs>

			<ViewActions>
				<ViewAction Name="InitAction">
					<Subscribe Model="PhotonModel" />
					<Subscribe Model="OTModel" />
					<Symbol Name="$ig_video$" Value="F" />
					<Symbol Name="$ig_nav_id$" Value=" " />
					<GlyphCommand Glyph="Main">
						<Open path="[@$exe_dir$]screensaver\aol_bbss.swf"/>
						<SetScaleMode Value="2"/>
					</GlyphCommand>
					<Symbol Name="$smartscreen$" Value="y"/>
				</ViewAction>

				<ViewAction Name="EndScreensaver">
					<ACTION Name="Exit"	Type="WndMsg" WndClass="WindowsScreenSaverClass" Msg="WM_DESTROY"/>
					<Symbol Name="$ssrunning$" Value="n"/>
					<Symbol Name="$smartscreen$" Value="n"/>
					<xsl:if expr="[[@$ig_alwaysontop$] $eq$ T]">
						<ViewCmd View="EPBar" >
							<SetPlacementOrder Placement="TopMost" />
						</ViewCmd>
					</xsl:if>

					<xsl:if expr="[[@$ss_stockpopup$] $eq$ T]">
						<ViewCmd View="PopupStock" >
							<Close />
						</ViewCmd>
					</xsl:if>

					<xsl:if expr="[[@$ss_perspopup$] $eq$ T]">
						<ViewCmd View="PopupPers" >
							<Close />
						</ViewCmd>
					</xsl:if>

					<xsl:if expr="[[@$ss_detailspopup$] $eq$ T]">
						<ViewCmd View="PopupDetails" >
							<Close />
						</ViewCmd>
					</xsl:if>

				</ViewAction>

				<ViewAction Name="ShowURL">
					<SetPlacementOrder Placement="NoTopMost" />
					<g-ShowURL URL="[@URL]"/>
				</ViewAction>			

				<ViewAction Name="GetTree">
					<SetTable XR="Main">
						<MetaQuery>
							<Commands>
								<WaitForVariable Var="xmlChanged" Value="0"/>
								<SetXML Var="xmlData" Expand="yes" >
									<Data mode="Tree">
										<Query Model="OTModel" Get="TreeCount" />
									</Data>
								</SetXML>
								<SetVar Var="xmlChanged" Value="1"/>
							</Commands>
						</MetaQuery>
					</SetTable>
				</ViewAction>

				<ViewAction Name="GetContent">
					<SetTable XR="Main">
						<MetaQuery>
							<Commands>
								<WaitForVariable Var="xmlChanged" Value="0"/>
								<SetXML Var="xmlData" Expand="yes" >
									<Data mode="@mode">
										<xsl:choose>
											<xsl:when expr="[@id $eq$ tc_news_photo]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20"/>
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_news_video]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20"/>
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_sports_photo]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_sports_video]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_business_photo]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20"/>
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_business_video]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20"/>
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_entertain_photo]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_entertain_video]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_sports_games]">
												<Query Model="OTModel" Get="Loc" Flat="yes" Id="sc_scoring" Sort="MODIFY_TIMET" Max="40" Age="24" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ sc_photos]">
												<Query Model="OTModel" Get="Loc" Id="@id" Max="20" />
											</xsl:when>
											<xsl:when expr="[@id $contains$ tc_games_]">
												<Query Model="OTModel" Get="Loc" Id="@id" />
											</xsl:when>
											<xsl:when expr="[@id $contains$ tc_sports_]">
												<Query Model="OTModel" Get="Loc" Age="48" Id="@id" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_usnews]">
												<Query Model="OTModel" Get="Loc" Age="24" Id="@id" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_worldnews]">
												<Query Model="OTModel" Get="Loc" Age="24" Id="@id" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_mkt_news]">
												<Query Model="OTModel" Get="Loc" Age="24" Id="@id" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_weather_summary]">
												<Query Model="OTModel" Get="Loc" Age="24" Id="@id" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ tc_alertswatcher]">
												<Query Model="OTModel" Get="Loc" Flat="yes" Id="sc_alerts" Sort="MODIFY_TIMET" Max="100"/>
											</xsl:when>
											<xsl:when expr="[@id $eq$ screenname]">
												<Result Screenname="[@$user$]" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ mail_buddies]">
												<Query Model="PhotonModel" Type="AIM" />
											</xsl:when>
											<xsl:when expr="[@id $eq$ mail_accounts]">
												<Query Model="PhotonModel" Type="Mail" />
											</xsl:when>
											<xsl:otherwise>
												<Query Model="OTModel" Get="Loc" Id="@id" />
											</xsl:otherwise>
										</xsl:choose>
									</Data>
								</SetXML>
								<SetVar Var="xmlChanged" Value="1"/>
							</Commands>
						</MetaQuery>
					</SetTable>
				</ViewAction>

				<ViewAction Name="RandomContent">
					<SetTable XR="Main">
						<MetaQuery>
							<Commands>
								<WaitForVariable Var="xmlChanged" Value="0"/>
								<SetXML Var="xmlData" Expand="yes" >
									<Data mode="@mode">
										<Query Model="OTModel" Get="Random" Id="@id" Max="@max" />
									</Data>
								</SetXML>
								<SetVar Var="xmlChanged" Value="1"/>
							</Commands>
						</MetaQuery>
					</SetTable>
				</ViewAction>

				<ViewAction Name="PortDetails">
					<GetContent id="@id" target="Main" mode="@ltype"/>
				</ViewAction>

				<ViewAction Name="SmartScreen">
					<Symbol Name="$smartscreen$" Value="y"/>
				</ViewAction>

				<ViewAction Name="Search">
					<g-ShowURL URL="http://search.aol.com/search?invocationType=communicator&query=[@string]"/>
				</ViewAction>

				<ViewAction Name="SS-State">
					<GlyphCommand Glyph="Main">
						<Commands>
							<WaitForVariable Var="xmlChanged" Value="0"/>
							<SetXML Var="xmlData" Expand="yes" >
								<Data mode="Screensaver">
									<Screensaver action="@action" />
								</Data>
							</SetXML>
							<SetVar Var="xmlChanged" Value="1"/>
						</Commands>
					</GlyphCommand>
				</ViewAction>

				<ViewAction Name="StartIdle">
					<SS-State Target="Main" Action="start" />
				</ViewAction>

				<ViewAction Name="StopIdle">
					<SS-State Target="Main" Action="stop" />
				</ViewAction>

				<ViewAction Name="ForceIdle" >
					<ACTION Type="WndMsg" WndClass="$ig_wndclass_name$" Msg="1101"/>
				</ViewAction>

				<ViewAction Name="AlertRead">
					<Action Type="ModelCommand" Name="OTModel">
						<MarkRead AlertId="@AlertId" Rule="@rule"/>
					</Action>
				</ViewAction>

				<ViewAction Name="UpdateAction">
					<xsl:if expr="[[@$alert_count_refresh$] $eq$ T]">
						<Symbol Name="$alert_count_refresh$" Value="F" />
						<SetTable XR="FlashNav">
							<MetaQuery>
								<Commands>
									<WaitForVariable Var="xmlChanged" Value="0"/>
									<SetXML Var="xmlData" Expand="yes" >
										<Data mode="FIXCOUNTS">
											<Query Model="OTModel" Get="TreeCount" ID="sc_alerts" />
										</Data>
									</SetXML>
									<SetVar Var="xmlChanged" Value="1"/>
								</Commands>
							</MetaQuery>
						</SetTable>
					</xsl:if >
				</ViewAction>

				<ViewAction Name="ReadDatom" >
					<GlyphCommand Glyph="Main">
						<Commands>
							<WaitForVariable Var="xmlChanged" Value="0"/>
							<SetXML Var="xmlData" Expand="yes"  >
								<Data mode="READDATOM">
									<READDATOM ALERTID="@alertid" ID="@id"/>
								</Data>
							</SetXML>
							<SetVar Var="xmlChanged" Value="1"/>
						</Commands>
					</GlyphCommand>
				</ViewAction>

				<ViewAction Name="read">
					<ReadDatom Target="Main" alertid="@alertid" id="@path" />
				</ViewAction>

				<ViewAction Name="Add">
					<xsl:if expr="[@path $contains$ sc_alerts]">
						<Symbol Name="$alert_count_refresh$" Value="T" />
					</xsl:if>
				</ViewAction>

				<ViewAction Name="Exit">
					<Close />
				</ViewAction>

				<ViewAction Name="SaveData">
					<WriteToFile File="[@$user_data$][@name].xml">
						<xsl:first-child>
							<xsl:copy />
						</xsl:first-child>
					</WriteToFile>
				</ViewAction>

				<ViewAction Name="RetrieveData">
					<SetTable XR="Main">
						<MetaQuery>
							<Commands>
								<WaitForVariable Var="xmlChanged" Value="0"/>
								<SetXML Var="xmlData" Expand="yes" >
									<Data mode="@mode" >
										<Query File="[@$user_data$][@name].xml" />
									</Data>
								</SetXML>
								<SetVar Var="xmlChanged" Value="1"/>
							</Commands>
						</MetaQuery>
					</SetTable>
				</ViewAction>

				<ViewAction Name="ShowFloater" >
					<AddGlyph Container="Main" Subscribe="y">
						<Glyph Type='IEGlyph' Name='@name' ActiveX='{8856F961-340A-11D0-A96B-00C04FD705A2}' Scroll="@scroll"/>
					</AddGlyph>
					<GlyphCommand Glyph="@name">
						<SetRect x="@x" y="@y" width="@width" height="@height" />
						<SetHTML str="@html" />
					</GlyphCommand>
					<ShowGlyph Glyph="@name" />
				</ViewAction>

				<ViewAction Name="ShowVideoFloater" >
					<ShowVideoFloaterFix name="real" x="@x" y="@y" width="@width" height="@height" url="@url" />
				</ViewAction>

				<ViewAction Name="ShowVideoFloaterFix" >
					<AddGlyph Container="Main" Subscribe="y">
						<Glyph Type='Video' Name='@name' />
					</AddGlyph>
					<GlyphCommand Glyph="@name">
						<SetRect x="@x" y="@y" width="@width" height="@height" />
					</GlyphCommand>
					<ShowGlyph Glyph="@name" />
					<ShowVideo Name="@name" URL="@url" />
				</ViewAction>

				<ViewAction Name="HideFloater" >
					<RemoveGlyph Glyph="@name"/>
				</ViewAction>

				<ViewAction Name="ResizeFloater" >
					<GlyphCommand Glyph="@name">
						<SetRect x="@x" y="@y" width="@width" height="@height" />
					</GlyphCommand>
				</ViewAction>

				<ViewAction Name="NavFloater" >
					<GlyphCommand Glyph="@name">
						<Navigate URL="@url"/>
					</GlyphCommand>
				</ViewAction>		  

				<ViewAction Name="FloaterScript">
					<GlyphCommand Glyph="@name">
						<Exec javascript="@javascript" />
 					</GlyphCommand>
				</ViewAction>
				<ViewAction Name="ShowVideo" >
					<GlyphCommand Glyph="@name">
						<Controls Set="ImageWindow" />
						<Source Set="@URL" />
						<Play />
 					</GlyphCommand>
				</ViewAction>	
				<ViewAction Name="StopVideo">
					<GlyphCommand Glyph="@name">
						<Stop />
 					</GlyphCommand>
				</ViewAction>	
				<ViewAction Name="PlayVideo">
					<GlyphCommand Glyph="@name">
						<Play />
 					</GlyphCommand>
				</ViewAction>	
				<ViewAction Name="PauseVideo">
					<GlyphCommand Glyph="@name">
						<Pause />
 					</GlyphCommand>
				</ViewAction>	

				<ViewAction Name="ToggleMute">
					<GlyphCommand Glyph="@name">
						<MuteToggle />
 					</GlyphCommand>
				</ViewAction>	

				<ViewAction Name="MuteVideo">
					<GlyphCommand Glyph="@name">
						<Mute set="true" />
 					</GlyphCommand>
				</ViewAction>	

				<ViewAction Name="UnmuteVideo">
					<GlyphCommand Glyph="@name">
						<Mute set="false" />
 					</GlyphCommand>
				</ViewAction>	

				<ViewAction Name="SetVideoVolume">
					<GlyphCommand Glyph="@name">
						<Volume Set="@vol" />
 					</GlyphCommand>
				</ViewAction>	

				<ViewAction Name="LoadAdHTML">
					<WriteToHTML File="[@$user_data$]ad.html">
						<HTML>
						<BODY>
						<SCRIPT LANGUAGE="JavaScript">
						self.onerror = function() { return true; }
						</SCRIPT>
						<SCRIPT LANGUAGE="JavaScript" SRC="http://ar.atwola.com/file/adsWrapper.js">//</SCRIPT>
						<SCRIPT LANGUAGE="JavaScript">
						function adsPopup(){
						o=window.adsObj0.toLowerCase()
						if (o.indexOf('no_ad')==-1&&o.indexOf('no content')==-1){
							document.write (window.adsObj0)
						}
						else {
							document.location = 'client://AdStatus?ad=no';
							document.write (' ')
						}}
						</SCRIPT>
						<SCRIPT LANGAUGE="JavaScript">
						var q='&lt;SCRIPT LANGUAGE="JavaScript" SRC="http://ar.atwola.com/html/[@MNUMBER]/'+adsScr+'/'+adsExt+'?'+adsNMSG+'&amp;height=480&amp;width=640&amp;target=_blank&amp;CT=J'+adsTz+'&amp;htmlpre=adsObj0%3d%27&amp;xlnl=%5cn&amp;xltick=%5c%27&amp;ctype=application/x-javascript&amp;htmlsuf=%27%3badsPopup%280%29"&gt;&lt;/SCR&gt;'
						q+='IPT&gt;';
						document.write(q)
						</SCRIPT>
						<SCRIPT LANGUAGE="JavaScript" SRC="http://ar.atwola.com/file/adsEnd.js">//</SCRIPT>
						</BODY>
						</HTML>
					</WriteToHTML>

					<GlyphCommand Glyph="@name">
						<Navigate URL="[@$user_data$]ad.html" />
 					</GlyphCommand>
				</ViewAction>	

				<ViewAction Name="AdStatus">
					<GlyphCommand Glyph="Main">
						<Commands>
							<WaitForVariable Var="xmlChanged" Value="0"/>
							<SetXML Var="xmlData" Expand="yes" >
								<Data mode="AdStatus">
									<AdStatus Status="@ad" />
								</Data>
							</SetXML>
							<SetVar Var="xmlChanged" Value="1"/>
						</Commands>
					</GlyphCommand>
				</ViewAction>

				<ViewAction Name="ClrHistory">
					<ClearHistory history="details" />
				</ViewAction>
				<ViewAction Name="DetailsPrev">
					<PopHistory History="details"/>
				</ViewAction>
				<ViewAction Name="DetailsNext">
					<IncHistory History="details"/>
				</ViewAction>
				<ViewAction Name="DetailsEmail">
					<CheckSecureMode/>
					<g_SendEmail Subject="[@$ss_details_title$]" Body="I thought you might be interested in this page I found in AOL Communicator: &lt;A HREF='$ss_details_url$'&gt;$ss_details_title$&lt;/A&gt;" />
				</ViewAction>
				<ViewAction Name="DetailsPrint">
					<GlyphCommand Glyph="details">
						<Print />
					</GlyphCommand>
				</ViewAction>

				<ViewAction Name="details:NavComplete">
					<Symbol Name="$ss_details_title$" Value="@name" />
				</ViewAction>
				<ViewAction Name="details:Nav">
					<PushHistory History="details">
						<ViewAction>
							<GlyphCommand Glyph="details">
								<Navigate URL="@url"/>
							</GlyphCommand>
							<Symbol Name="$ss_details_url$" Value="@URL" />
						</ViewAction>
					</PushHistory>
					<Symbol Name="$ss_details_url$" Value="@URL" />
				</ViewAction>

				<ViewAction Name="MailAccounts">
					<GlyphCommand Glyph="Main">
						<Commands>
							<WaitForVariable Var="xmlChanged" Value="0"/>
							<SetXML Var="xmlData" Expand="yes">
								<Data mode="MailAccounts">
									<xsl:copy />
								</Data>
							</SetXML>
							<SetVar Var="xmlChanged" Value="1"/>
						</Commands>
					</GlyphCommand>
				</ViewAction>  

				<ViewAction Name="Buddies">
				</ViewAction>  

				<ViewAction Name="AIM">
					<GlyphCommand Glyph="Main">
						<Commands>
							<WaitForVariable Var="xmlChanged" Value="0"/>
							<SetXML Var="xmlData" Expand="yes" >
								<Data mode="MailBuddies">
									<xsl:copy />
								</Data>
							</SetXML>
							<SetVar Var="xmlChanged" Value="1"/>
						</Commands>
					</GlyphCommand>
				</ViewAction>  

				<ViewAction Name="NewOneTree">
					<SetTable XR="Main">
						<MetaQuery>
							<Commands>
								<WaitForVariable Var="xmlChanged" Value="0"/>
								<SetXML Var="xmlData" Expand="yes" >
									<Data mode="NewTree">
										<NewTree />
									</Data>
								</SetXML>
								<SetVar Var="xmlChanged" Value="1"/>
							</Commands>
						</MetaQuery>
					</SetTable>
				</ViewAction>

				<ViewAction Name="VideoLink">
					<SetTable XR="Main">
						<MetaQuery>
							<Commands>
								<WaitForVariable Var="xmlChanged" Value="0"/>
								<SetXML Var="xmlData" Expand="yes" >
									<Data mode="VideoLink">
										<Video url="@url" provider="@provider" rurl="@rurl"/>
									</Data>
								</SetXML>
								<SetVar Var="xmlChanged" Value="1"/>
							</Commands>
						</MetaQuery>
					</SetTable>
				</ViewAction>

				<ViewAction Name="bcatLink" SaveHistory="details">
					<FetchXML url="@url" mode="bcatLink" />
				</ViewAction>

				<ViewAction Name="FetchXML">
					<Action Type="FetchTable">
						<FetchTable Name="FetchXML">
							<FetchItem Name="FetchStock" Url="@url">
								<FetchHandler Name="XMLEvent" >
									<SSFetchXML mode="@mode"/>
								</FetchHandler>
							</FetchItem>
						</FetchTable>
					</Action>
				</ViewAction>

				<ViewAction Name="SSFetchXML" >
					<GlyphCommand Glyph="Main">
						<Commands>
							<WaitForVariable Var="xmlChanged" Value="0"/>
							<SetXML Var="xmlData" Expand="yes" >
								<Data mode="@mode" >
									<xsl:first-child>
										<xsl:first-child>
											<xsl:copy />
										</xsl:first-child>
									</xsl:first-child>
								</Data>
							</SetXML>
							<SetVar Var="xmlChanged" Value="1"/>
						</Commands>
					</GlyphCommand>
				</ViewAction>  

				<ViewAction Name="CheckAuth">
					<Action Type="IfBlock">
						<IF>
							<Authenticate />
						</IF>
						<THEN>
							<SetTable XR="Main">
								<MetaQuery>
									<Commands>
										<WaitForVariable Var="xmlChanged" Value="0"/>
										<SetXML Var="xmlData" Expand="yes" >
											<Data mode="CheckAuth">
												<Auth state="valid"/>
											</Data>
										</SetXML>
										<SetVar Var="xmlChanged" Value="1"/>
									</Commands>
								</MetaQuery>
							</SetTable>
						</THEN>
						<ELSE>
							<SetTable XR="Main">
								<MetaQuery>
									<Commands>
										<WaitForVariable Var="xmlChanged" Value="0"/>
										<SetXML Var="xmlData" Expand="yes" >
											<Data mode="CheckAuth">
												<Auth state="invalid"/>
											</Data>
										</SetXML>
										<SetVar Var="xmlChanged" Value="1"/>
									</Commands>
								</MetaQuery>
							</SetTable>
						</ELSE>
					</Action>
				</ViewAction>

				<ViewAction Name="VolumeChange">
					<SetTable XR="Main">
						<MetaQuery>
							<Commands>
								<WaitForVariable Var="xmlChanged" Value="0"/>
								<SetXML Var="xmlData" Expand="yes" >
									<Data mode="Volume">
										<Volume vol="@volume"/>
									</Data>
								</SetXML>
								<SetVar Var="xmlChanged" Value="1"/>
							</Commands>
						</MetaQuery>
					</SetTable>
				</ViewAction>

				<ViewAction Name="CacheMedia">
					<DbgMsg Msg = "cachemedia [@alertid] [@UID]" />
					<ModelCommand Name="OTModel">
						<CacheMedia ALERTID="@ALERTID" MEDIAID="@UID" />
					</ModelCommand>
				</ViewAction>

				<ViewAction Name="mediacache">
					<DbgMsg Msg = "mediacache!!! [@alertid] [@filename]" />
					<SetTable XR="Main">
						<MetaQuery>
							<Commands>
								<WaitForVariable Var="xmlChanged" Value="0"/>
								<SetXML Var="xmlData" Expand="yes" >
									<Data mode="CacheMedia">
										<Cache ALERTID="@ALERTID" FILENAME="@FILENAME" />
									</Data>
								</SetXML>
								<SetVar Var="xmlChanged" Value="1"/>
							</Commands>
						</MetaQuery>
					</SetTable>
				</ViewAction>

			</ViewActions>
		</View>

	</ViewController>
</Popup>
